﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Data.Action>


@(
 Html.Grid(Model).Named("AllAction").Columns(columns =>
 {
     columns.Add(x => x.ActionCategory.Name)
         .Titled("Action Category")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ActionCategory.Name).Filterable(true);
     
     columns.Add(x => x.Code)
         .Titled("Code")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Code).Filterable(true);

     columns.Add(x => x.Name)
         .Titled("Name")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Name).Filterable(true);

     columns.Add(x => x.Points)
         .Titled("Point")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Points.ToString()).Filterable(true);
     
     
     columns.Add(x => x.IsHaveCapGeneration)
       .Titled("IsHaveCapGeneration")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => IsActiveRender(x.IsHaveCapGeneration)).Filterable(true);

     columns.Add(x => x.CapGeneration)
       .Titled("CapGeneration")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.CapGeneration.ToString()).Filterable(true);

     
     columns.Add(x => x.IsActive)
         .Titled("IsActive")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => IsActiveRender(x.IsActive)).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.Action.Edit(x.ID))));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.Action.Delete(x.ID)), x.Name));

 }).Filterable()
.Sortable()
.WithPaging(5)
)

@helper IsActiveRender(bool isActive)
{
    if (isActive)
    {
        <span>True</span>
    }
    else
    {
        <span>False</span>
    }
}